#include "vision.h"
#include <bits/stdc++.h>
using namespace std;
vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(vector<int> v)
{
    for(int i=1;i<v.size();i++)
    {
        if(v[i]==3&&v[i-1]==2)return v.size()-1;
        else if(v[i]==3&&v[i-1]==1)return 0;
    }
    return 0;
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}